# -*- encoding: utf-8 -*-
# stub: cf-uaa-lib 3.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "cf-uaa-lib".freeze
  s.version = "3.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dave Syer".freeze, "Dale Olds".freeze, "Joel D'sa".freeze, "Vidya Valmikinathan".freeze, "Luke Taylor".freeze]
  s.date = "2016-03-31"
  s.description = "Client library for interacting with the CloudFoundry User Account and Authorization (UAA) server.  The UAA is an OAuth2 Authorization Server so it can be used by webapps and command line apps to obtain access tokens to act on behalf of users.  The tokens can then be used to access protected resources in a Resource Server.  This library is for use by UAA client applications or resource servers.".freeze
  s.email = ["dsyer@vmware.com".freeze, "olds@vmware.com".freeze, "jdsa@vmware.com".freeze, "vidya@vmware.com".freeze, "ltaylor@vmware.com".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.TXT".freeze, "NOTICE.TXT".freeze, "README.md".freeze, "Rakefile".freeze, "cf-uaa-lib.gemspec".freeze, "lib/uaa.rb".freeze, "lib/uaa/http.rb".freeze, "lib/uaa/info.rb".freeze, "lib/uaa/proxy_options.rb".freeze, "lib/uaa/scim.rb".freeze, "lib/uaa/token_coder.rb".freeze, "lib/uaa/token_issuer.rb".freeze, "lib/uaa/util.rb".freeze, "lib/uaa/version.rb".freeze, "spec/http_spec.rb".freeze, "spec/info_spec.rb".freeze, "spec/integration_spec.rb".freeze, "spec/scim_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/token_coder_spec.rb".freeze, "spec/token_issuer_spec.rb".freeze]
  s.homepage = "https://github.com/cloudfoundry/cf-uaa-lib".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.rubyforge_project = "cf-uaa-lib".freeze
  s.rubygems_version = "2.6.4".freeze
  s.summary = "Client library for CloudFoundry UAA".freeze
  s.test_files = ["spec/http_spec.rb".freeze, "spec/info_spec.rb".freeze, "spec/integration_spec.rb".freeze, "spec/scim_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/token_coder_spec.rb".freeze, "spec/token_issuer_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<multi_json>.freeze, [">= 0"])
      s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.3.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
      s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
      s.add_development_dependency(%q<simplecov-rcov>.freeze, ["~> 0.2.3"])
      s.add_development_dependency(%q<ci_reporter>.freeze, ["~> 1.9.2"])
      s.add_development_dependency(%q<json_pure>.freeze, ["~> 1.8.1"])
    else
      s.add_dependency(%q<multi_json>.freeze, [">= 0"])
      s.add_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.3.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
      s.add_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
      s.add_dependency(%q<simplecov-rcov>.freeze, ["~> 0.2.3"])
      s.add_dependency(%q<ci_reporter>.freeze, ["~> 1.9.2"])
      s.add_dependency(%q<json_pure>.freeze, ["~> 1.8.1"])
    end
  else
    s.add_dependency(%q<multi_json>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
    s.add_dependency(%q<simplecov-rcov>.freeze, ["~> 0.2.3"])
    s.add_dependency(%q<ci_reporter>.freeze, ["~> 1.9.2"])
    s.add_dependency(%q<json_pure>.freeze, ["~> 1.8.1"])
  end
end

